Name:           python-datarobot-early-access
Version:        3.7.0.2025.1.28
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This client library is designed to support the DataRobot API.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://datarobot.com
Source:         %{pypi_source datarobot_early_access}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'datarobot-early-access' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-datarobot-early-access
Summary:        %{summary}

%description -n python3-datarobot-early-access %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-datarobot-early-access databricks,dev,examples,images,lint,release,test


%prep
%autosetup -p1 -n datarobot_early_access-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x databricks,dev,examples,images,lint,release,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-datarobot-early-access -f %{pyproject_files}


%changelog
%autochangelog